#include <12F683.h>
#fuses INTRC_IO, NOWDT, NOCPD, NOPROTECT, NOMCLR, NOBROWNOUT, PUT
#use delay(clock=8000000)

void main() {
   setup_adc_ports(NO_ANALOGS|VSS_VDD);
   setup_adc(ADC_OFF);
   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_1);
   setup_timer_1(T1_DISABLED);
   setup_timer_2(T2_DISABLED,0,1);
   setup_ccp1(CCP_OFF);
   setup_comparator(NC_NC);
   setup_vref(FALSE);
   setup_oscillator(OSC_8MHZ);

   output_low(PIN_A1);

   while (TRUE) {
      delay_us(25);
      output_toggle(PIN_A1);
   }
}
